| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# indexdiv

$Revision: 1.4 $

$Date: 2002/06/12 11:18:13 $

indexdiv — A division in an index

## Synopsis

### Content Model

    indexdiv ::=
    ((title,subtitle?,titleabbrev?)?,
     ((itemizedlist|orderedlist|variablelist|simplelist|literallayout|
       programlisting|programlistingco|screen|screenco|screenshot|
       synopsis|cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
       constructorsynopsis|destructorsynopsis|methodsynopsis|
       formalpara|para|simpara|address|blockquote|graphic|graphicco|
       mediaobject|mediaobjectco|informalequation|informalexample|
       informalfigure|informaltable|anchor|remark|link|olink|ulink|
       beginpage)*,
      (indexentry+|segmentedlist)))

### Attributes

Common attributes

## Description

An `IndexDiv` identifies a section of an `Index`. An index might be divided into sections in order to group entries, usually alphabetically.

An index may contain any number of `IndexEntry` or `IndexDiv` elements, but it cannot contain a mixture of both at the same level.

### Processing expectations

Formatted as a displayed block.

### Future Changes

Formal objects and other elements inappropriate for an index will be removed the content that can appear before the first `IndexEntry`.

### Parents

These elements contain indexdiv: `index`, `setindex`.

### Children

The following elements occur in indexdiv: `address`, `anchor`, `beginpage`, `blockquote`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `fieldsynopsis`, `formalpara`, `funcsynopsis`, `graphic`, `graphicco`, `indexentry`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `link`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `olink`, `orderedlist`, `para`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `subtitle`, `synopsis`, `title`, `titleabbrev`, `ulink`, `variablelist`.

## Examples

For examples, see `index`.

index |  | indexentry

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.